#
# uxyz03.rb
#
# $Id: uxyz03.rb,v 1.1 2000/11/23 08:19:16 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::gropn iws

DCL::grfrm

DCL::sgswnd(-50.0, +50.0, 1.0e3, 0.4)
DCL::sgsvpt(0.2, 0.8, 0.2, 0.8)
DCL::sgstrn(2)
DCL::sgstrf

DCL::uxaxdv('B', 5.0, 20.0)
DCL::uxaxdv('T', 5.0, 20.0)
DCL::uxsttl('B', 'LATITUDE', 0.0)

DCL::uliset('IYTYPE', 3)
DCL::ulylog('L', 3, 9)
DCL::ulylog('R', 3, 9)
DCL::uysttl('L', 'PRESSURE (MB)', 0.0)

DCL::uxmttl('T', 'UXAXDV/ULYLOG', 0.0)

DCL::grcls

